Do I need to switch to the new Toolkit immediately?

If you are planning to install Ensemble devices, you need to use the new Enphase Installer Toolkit as the current Toolkit does not support installation of Encharge or Enpower devices. But, the current Toolkit will still be available and supported for a limited period of time for all your microinverter and IQ/S AC battery storage installations.